Class | YARD::Rake::YardocTask
In: | lib/yard/rake/yardoc_task.rb
Parent: | ::Rake::TaskLib

The rake task to run {CLI::Yardoc} and generate documentation.

### Methods

define new

### Attributes

after | [RW] | Runs a `Proc` after the task @return [Proc] a proc to call after running the task
before | [RW] | Runs a `Proc` before the task @return [Proc] a proc to call before running the task

files

[RW]

The Ruby source files (and any extra documentation files separated by ’-’) to process. @example Task files assignment

      YARD::Rake::YardocTask.new do |t|
        t.files   = ['app/**/*.rb', 'lib/**/*.rb', '-', 'doc/FAQ.md', 'doc/Changes.md']
      end

@return [Array<String>] a list of files

name | [RW] | The name of the task @return [String] the task name
options | [RW] | Options to pass to {CLI::Yardoc} @return [Array<String>] the options passed to the commandline utility

verifier

[RW]

@return [Verifier, Proc] an optional {Verifier} to run against all objects

      being generated. Any object that the verifier returns false for will be
      excluded from documentation. This attribute can also be a lambda.

@see Verifier

### Public Class methods

new(name = :yard) {|self if block_given?| ...}

Creates a new task with name `name`.

@param [String, Symbol] name the name of the rake task @yield a block to allow any options to be modified on the task @yieldparam [YardocTask] _self the task object to allow any parameters

      to be changed.

### Protected Instance methods

define()

Defines the rake task @return [void]

[Validate]